## wtforms-alchemy 0.18.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/WTForms-Alchemy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/WTForms-Alchemy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/WTForms-Alchemy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/WTForms-Alchemy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
wtforms-alchemy (0.18.0-3) unstable; urgency=medium

  * Team upload
  * [d111b44] d/gbp.conf: Add some default data
  * [03800f9] Add patch queue generated from patch-queue branch
    Added patches:
    debian-hacks/tests-Adding-a-hack-to-handle-list-element.patch
    doc/docs-Use-local-Python-intersphinx-inventary.patch
    doc/docs-Use-local-SQLAlchemy-Utils-intersphinx-inventary.patch
    doc/docs-Use-local-WTForms-Components-intersphinx-inventary.patch
    doc/docs-Use-local-WTforms-intersphinx-inventary.patch
    upstream/tests-Don-t-depend-on-distutils-and-use-packaging-instead.patch
  * [c069248] Build documentation through dh_sphinxdoc
  * [2d65bd9] d/u/metadata: Adding generic information about the project

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 27 Nov 2022 12:27:50 +0100

wtforms-alchemy (0.18.0-2) unstable; urgency=medium

  * [cdc2fa6] run upstream tests as autopkgtest

 -- Joseph Nahmias <jello@debian.org>  Sat, 13 Aug 2022 21:04:03 -0400

wtforms-alchemy (0.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #1016461)

 -- Joseph Nahmias <jello@debian.org>  Thu, 04 Aug 2022 22:03:29 -0400

=== debian/control ===
Source: wtforms-alchemy
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Joseph Nahmias <jello@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python-sqlalchemy-utils-doc <!nodoc>,
 python-wtforms-doc <!nodoc>,
 python3-setuptools,
 python3-all,
 python3-colour <!nocheck>,
 python3-doc <!nodoc>,
 python3-flexmock <!nocheck>,
 python3-jinja2 <!nocheck>,
 python3-phonenumbers <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pygments <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sqlalchemy <!nocheck !nodoc>,
 python3-sqlalchemy-i18n <!nocheck>,
 python3-sqlalchemy-utils <!nocheck !nodoc>,
 python3-wtforms <!nocheck !nodoc>,
 python3-wtforms-components <!nocheck !nodoc>,
 python3-wtforms-test <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://github.com/kvesteri/wtforms-alchemy
Vcs-Browser: https://salsa.debian.org/python-team/packages/wtforms-alchemy
Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms-alchemy.git
Rules-Requires-Root: no

Package: python3-wtforms-alchemy
Architecture: all
Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
Description: Tools for creating WTForms forms from SQLAlchemy models (library)
 WTForms-Alchemy provides a helper class that let you create a Form class
 from a SQLAlchemy model. It does not try to replace all the functionality
 of wtforms.ext.sqlalchemy, only the model_form function of
 wtforms.ext.sqlalchemy by a much better solution. Other functionality of
 ext.sqlalchemy such as QuerySelectField and QuerySelectMultipleField can be
 used along with WTForms-Alchemy.
 .
 The benefits of WTForms-Alchemy ModelForm over wtforms.ext.sqlachemy’s
 model_form include:
 .
  * Provides explicit declaration of ModelForms (much easier to override
    certain columns)
  * Form generation supports Unique and NumberRange validators
  * Form inheritance support (along with form configuration inheritance)
  * Automatic SelectField type coercing based on underlying column type
  * By default uses wtforms_components SelectField for fields with choices.
    This field understands None values and renders nested datastructures as
    optgroups.
  * Provides better Unique validator
  * Supports custom user defined types as well as type decorators
  * Supports SQLAlchemy-Utils datatypes
  * Supports ModelForm model relations population
  * Smarter field exclusion
  * Smarter field conversion
  * Understands join table inheritance
  * Better configuration

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

BUILD_DATE  = $(shell LC_ALL=C date -u "+%d %B %Y" -d "@$(SOURCE_DATE_EPOCH)")
SPHINXOPTS := -N -D html_last_updated_fmt="$(BUILD_DATE)"

export PYBUILD_NAME=wtforms-alchemy

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python3-wtforms-alchemy/usr/share/doc/python3-wtforms-alchemy/html
	dh_sphinxdoc
endif

## wtforms-alchemy 0.19.0

=== debian/changelog ===
wtforms-alchemy (0.19.0-3) unstable; urgency=medium

  * Team upload.
  * d/control: Fix annotations for python3-sqlalchemy-utils and
    python3-wtforms-components as well. Closes: #1116926.

 -- Santiago Vila <sanvila@debian.org>  Tue, 14 Oct 2025 16:05:00 +0200

wtforms-alchemy (0.19.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: Fix annotations for python3-sqlalchemy. Closes: #1116926.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 12:20:00 +0200

wtforms-alchemy (0.19.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 0.19.0
  * All submitted patches were accepted upstream
  * Patch-out undeclared remaining usage of six

 -- Alexandre Detiste <tchet@debian.org>  Tue, 19 Nov 2024 08:26:32 +0100

wtforms-alchemy (0.18.0-4) unstable; urgency=medium

  * Team upload
  * [30456f1] d/controls Running wrap-and-sort -ast
  * [73e42fc] d/control: Bump Standards-Version to 4.7.0
    No further changes needed.
  * [928556a] Rebuild patch queue from patch queue branch
    Added patches:
    tests/tests-Fix-warning-on-deprecated-declarative_base.patch
    tests/tests-Let-i18n-tests-fail.patch
    tests/tests-Let-test_find_entity-self-fail.patch
    tests/tests-Use-SQLAlchemy-2.x-compatible-mapper-call.patch
    tests/tests-Use-sqlalchemy.text-to-prepare-SQL-statement.patch
    These new patches let a build against SQLAlchemy 2.x pass.
    Modified patch:
    doc/docs-Use-local-Python-intersphinx-inventary.patch
    Removed patches (got meld into the mentioned modified patch above):
    doc/docs-Use-local-SQLAlchemy-Utils-intersphinx-inventary.patch
    doc/docs-Use-local-WTForms-Components-intersphinx-inventary.patch
    doc/docs-Use-local-WTforms-intersphinx-inventary.patch
  * [6eddcd8] d/rules: Remove more potantial cruft at dh_clean
  * [9d3c5ae] d/README.source: Add some information about source

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 30 Apr 2024 10:11:42 +0200

=== debian/control ===
--- 
+++ 
@@ -10,31 +10,33 @@
  dh-sequence-sphinxdoc,
  python-sqlalchemy-utils-doc <!nodoc>,
  python-wtforms-doc <!nodoc>,
- python3-setuptools,
  python3-all,
  python3-colour <!nocheck>,
  python3-doc <!nodoc>,
  python3-flexmock <!nocheck>,
  python3-jinja2 <!nocheck>,
  python3-phonenumbers <!nocheck>,
+ python3-pygments <!nocheck>,
  python3-pytest <!nocheck>,
- python3-pygments <!nocheck>,
+ python3-setuptools,
  python3-sphinx <!nodoc>,
- python3-sqlalchemy <!nocheck !nodoc>,
+ python3-sqlalchemy <!nocheck> <!nodoc>,
  python3-sqlalchemy-i18n <!nocheck>,
- python3-sqlalchemy-utils <!nocheck !nodoc>,
+ python3-sqlalchemy-utils <!nocheck> <!nodoc>,
  python3-wtforms <!nocheck !nodoc>,
- python3-wtforms-components <!nocheck !nodoc>,
+ python3-wtforms-components <!nocheck> <!nodoc>,
  python3-wtforms-test <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/kvesteri/wtforms-alchemy
 Vcs-Browser: https://salsa.debian.org/python-team/packages/wtforms-alchemy
 Vcs-Git: https://salsa.debian.org/python-team/packages/wtforms-alchemy.git
-Rules-Requires-Root: no
 
 Package: python3-wtforms-alchemy
 Architecture: all
-Depends: ${python3:Depends}, ${sphinxdoc:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
 Description: Tools for creating WTForms forms from SQLAlchemy models (library)
  WTForms-Alchemy provides a helper class that let you create a Form class
  from a SQLAlchemy model. It does not try to replace all the functionality

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 %:
 	dh $@ --with sphinxdoc --buildsystem=pybuild
 
+override_dh_clean:
+	dh_clean
+	rm -rf .mypy_cache
+
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=. python3 -m sphinx -b html $(SPHINXOPTS) docs/ $(CURDIR)/debian/python3-wtforms-alchemy/usr/share/doc/python3-wtforms-alchemy/html

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-colour,
 python3-flexmock,
 python3-jinja2,
 python3-phonenumbers,
 python3-pygments,
 python3-pytest,
 python3-sqlalchemy-i18n,
 python3-wtforms-alchemy,
 python3-wtforms-test,

=== debian/watch ===
# See uscan(1) for format
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%wtforms-alchemy-$1.tar.gz%" \
   https://github.com/kvesteri/wtforms-alchemy/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
